## QmiProxy QmiProxy — QMI proxy handling routines |

## Functions

QmiProxy * | qmi_proxy_new ()
guint | qmi_proxy_get_n_clients ()

## Properties

guint | qmi-proxy-n-clients | Read

## Types and Values

#define | QMI_PROXY_SOCKET_PATH
#define | QMI_PROXY_N_CLIENTS
struct | QmiProxy

## Object Hierarchy

        GObject
        ╰── QmiProxy

## Description

The QmiProxy will setup an abstract socket listening on a predefined address, and will take care of synchronizing the access to a set of shared QMI ports.

Multiple QmiDevices may be connected to the QmiProxy at any given time. The QmiProxy acts as a stateless proxy for non-CTL services (messages are transferred unmodified), and as a stateful proxy for the CTL service (all remote QmiDevices will need to share the same CTL message sequence ID).

## Functions

### qmi_proxy_new ()

    QmiProxy *
    qmi_proxy_new (GError **error);

Creates a QmiProxy listening in the default proxy addess.

#### Parameters

error | Return location for error or `NULL`. |

#### Returns

A newly created QmiProxy, or NULL if `error` is set.

### qmi_proxy_get_n_clients ()

    guint
    qmi_proxy_get_n_clients (QmiProxy *self);

Get the number of clients currently connected to the proxy.

#### Parameters

self | a QmiProxy. |

#### Returns

a guint.

## Types and Values

### QMI_PROXY_SOCKET_PATH

    #define QMI_PROXY_SOCKET_PATH "qmi-proxy"

### QMI_PROXY_N_CLIENTS

    #define QMI_PROXY_N_CLIENTS   "qmi-proxy-n-clients"

### struct QmiProxy

    struct QmiProxy;

## Property Details

### The `“qmi-proxy-n-clients”` property

      “qmi-proxy-n-clients”      guint

Number of clients currently connected to the proxy.

Flags: Read

Default value: 0